al_load_bitmap_f(3)

NAME

al_load_bitmap_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_BITMAP *al_load_bitmap_f(ALLEGRO_FILE *fp, const char *ident)

DESCRIPTION

Loads an image from an ALLEGRO_FILE(3) stream into a new ALLEGRO_BITMAP(3). The file type is determined by the passed 'ident' parameter, which is a file name extension including the leading dot. If (and only if) 'ident' is NULL, the file type is determined with al_identify_bitmap_f(3) instead.

This is the same as calling al_load_bitmap_flags_f(3) with 0 for the flags parameter.

Returns NULL on error. The file remains open afterwards.

    Note: the core Allegro library does not support any image file formats by default. You must use the allegro_image addon, or register your own format handler.

SEE ALSO

al_load_bitmap_flags_f(3), al_load_bitmap(3), al_register_bitmap_loader_f(3), al_init_image_addon(3)